Imports ScriptDrawObjects

Module ScriptStuffGlobals
    ' The Picture.
    Public g_Picture As New Picture

    ' The current script.
    Public g_ScriptText As String

    ' Return a file's contents.
    Public Function GrabFile(ByVal file_name As String) As String
        Try
            Dim stream_reader As New IO.StreamReader(file_name)
            Dim result As String = stream_reader.ReadToEnd()
            stream_reader.Close()
            Return result
        Catch exc As Exception
            ' Report errors.
            MsgBox("Error reading file '" & file_name & "'" & _
                vbCrLf & exc.Message, _
                MsgBoxStyle.Exclamation, "Read Error")
            Return g_ScriptText
        End Try
    End Function

    ' Write a file's contents.
    Public Sub WriteFile(ByVal file_name As String, ByVal file_contents As String)
        Try
            Dim stream_writer As New IO.StreamWriter(file_name)
            stream_writer.Write(file_contents)
            stream_writer.Close()
        Catch exc As Exception
            ' Report errors.
            MsgBox("Error writing file '" & file_name & "'" & _
                vbCrLf & exc.Message, _
                MsgBoxStyle.Exclamation, "Write Error")
        End Try
    End Sub
End Module
