Imports System.Drawing

Public Class Segment
    Public X1 As Integer
    Public Y1 As Integer
    Public X2 As Integer
    Public Y2 As Integer
    Public LineWidth As Single
    Public ForeColor As Color

    ' Constructors.
    Public Sub New(ByVal new_x1 As Integer, ByVal new_y1 As Integer, ByVal new_x2 As Integer, ByVal new_y2 As Integer, ByVal fore_color As Color, ByVal line_width As Single)
        X1 = new_x1
        Y1 = new_y1
        X2 = new_x2
        Y2 = new_y2
        ForeColor = fore_color
        LineWidth = line_width
    End Sub

    ' Draw the Segment on a Graphics object.
    Public Sub Draw(ByVal gr As Graphics)
        Dim the_pen As New Pen(ForeColor, LineWidth)
        gr.DrawLine(the_pen, X1, Y1, X2, Y2)
        the_pen.Dispose()
    End Sub
End Class
